Subject: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7

From: Curtis Gedak <[email-masked]>
Date: Fri, 04 Jul 2014 19:46:58 -0600

First, thank you for working towards another parted release.  It's been 
quite a while since the last one so I appreciate your efforts.

To try to get this next parted release as bug free as possible I will 
test it across a number of distros that we use for GParted testing.  The 
source tarball I am using is the parted-3.1.90 alpha release from 
http://alpha.gnu.org/gnu/parted/

Following is some information from running "make check" both as a normal 
user and as root:

DEBIAN 7 - 32 bit
=================

$ make check
<snip>
============================================================================
Testsuite summary for GNU parted 3.1.90
============================================================================
# TOTAL: 78
# PASS:  39
# SKIP:  38
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to [email-masked]
============================================================================

$ grep FAIL tests/test-suite.log
# XFAIL: 0
# FAIL:  1
FAIL: t0251-gpt-unicode

# make check
<snip>
PASS: t8000-loop.sh
PASS: t8001-loop-blkpg.sh
t9010-big-sector.sh rmmod scsi_debug...
PASS: t9010-big-sector.sh
t9020-alignment.sh rmmod scsi_debug...
PASS: t9020-alignment.sh
PASS: t9021-maxima.sh
PASS: t9022-one-unit-snap.sh
PASS: t9023-value-lt-one.sh
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
....

This is report is from the first distro I used in testing 
parted-3.1.90.  If you need additional information then just let me know.

Regards,
Curtis Gedak